Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Sharybin <sergey.vfx@gmail.com>2012-05-10 15:08:25 +0400
committerSergey Sharybin <sergey.vfx@gmail.com>2012-05-10 15:08:25 +0400
commitcc5f18693f061aa1506e720a01d7baeb194f6ada (patch)
tree4321521fb950492151b0880034636d8ccf28e365 /extern/libmv
parent89b61e5430ee5f3fcd32c9b4989ecacc04107306 (diff)
Carve and libmv bundling scripts: should work with svn checkout now
Diffstat (limited to 'extern/libmv')
-rwxr-xr-xextern/libmv/bundle.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/extern/libmv/bundle.sh b/extern/libmv/bundle.sh
index 30d08cd680a..9b798fa69ea 100755
--- a/extern/libmv/bundle.sh
+++ b/extern/libmv/bundle.sh
@@ -1,14 +1,16 @@
#!/bin/sh
+if [ "x$1" = "x--i-really-know-what-im-doing" ] ; then
+ echo Proceeding as requested by command line ...
+else
+ echo "*** Please run again with --i-really-know-what-im-doing ..."
+ exit 1
+fi
+
#BRANCH="keir"
#BRANCH="Matthias-Fauconneau"
BRANCH="Nazg-Gul"
-if [ -d ./.svn ]; then
- echo "This script is supposed to work only when using git-svn"
- exit 1
-fi
-
repo="git://github.com/${BRANCH}/libmv.git"
tmp=`mktemp -d`
@@ -22,8 +24,8 @@ for p in `cat ./patches/series`; do
cat ./patches/$p | patch -d $tmp/libmv -p1
done
-rm -rf libmv
-rm -rf third_party
+find libmv -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
+find third_party -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
cat "files.txt" | while read f; do
mkdir -p `dirname $f`